PipeWire 1.4.10

Loading...
Searching...
No Matches
introspect.h File Reference
Extensions » Session Manager

pipewire/extensions/session-manager/introspect.h More...

Go to the source code of this file.

## Data Structures
struct | pw_session_info
struct | pw_endpoint_info
struct | pw_endpoint_stream_info
struct | pw_endpoint_link_info

## Macros
#define | PW_VERSION_SESSION_INFO 0
#define | PW_SESSION_CHANGE_MASK_PROPS (1 << 0)
#define | PW_SESSION_CHANGE_MASK_PARAMS (1 << 1)
#define | PW_SESSION_CHANGE_MASK_ALL ((1 << 2)-1)
#define | PW_VERSION_ENDPOINT_INFO 0
#define | PW_ENDPOINT_FLAG_PROVIDES_SESSION (1 << 0)
#define | PW_ENDPOINT_CHANGE_MASK_STREAMS (1 << 0)
#define | PW_ENDPOINT_CHANGE_MASK_SESSION (1 << 1)
#define | PW_ENDPOINT_CHANGE_MASK_PROPS (1 << 2)
#define | PW_ENDPOINT_CHANGE_MASK_PARAMS (1 << 3)
#define | PW_ENDPOINT_CHANGE_MASK_ALL ((1 << 4)-1)
#define | PW_VERSION_ENDPOINT_STREAM_INFO 0
#define | PW_ENDPOINT_STREAM_CHANGE_MASK_LINK_PARAMS (1 << 0)
#define | PW_ENDPOINT_STREAM_CHANGE_MASK_PROPS (1 << 1)
#define | PW_ENDPOINT_STREAM_CHANGE_MASK_PARAMS (1 << 2)
#define | PW_ENDPOINT_STREAM_CHANGE_MASK_ALL ((1 << 3)-1)
#define | PW_VERSION_ENDPOINT_LINK_INFO 0
#define | PW_ENDPOINT_LINK_CHANGE_MASK_STATE (1 << 0)
#define | PW_ENDPOINT_LINK_CHANGE_MASK_PROPS (1 << 1)
#define | PW_ENDPOINT_LINK_CHANGE_MASK_PARAMS (1 << 2)
#define | PW_ENDPOINT_LINK_CHANGE_MASK_ALL ((1 << 3)-1)

## Enumerations
enum | pw_endpoint_link_state { PW_ENDPOINT_LINK_STATE_ERROR = -1 , PW_ENDPOINT_LINK_STATE_PREPARING , PW_ENDPOINT_LINK_STATE_INACTIVE , PW_ENDPOINT_LINK_STATE_ACTIVE }

## Detailed Description

pipewire/extensions/session-manager/introspect.h